Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1098591 - [TEXT] Tool tips for weights on Cluster Policy module in Configuration Dialogue are incorrect
Summary: [TEXT] Tool tips for weights on Cluster Policy module in Configuration Dialog...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.4.0
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Martin Sivák
QA Contact: Nikolai Sednev
URL:
Whiteboard: sla
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-16 15:41 UTC by Marina
Modified: 2018-12-05 18:40 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0-alpha2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 18:02:01 UTC
oVirt Team: SLA
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 886803 None None None Never
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 28172 master MERGED engine: Fix the description of two weight PolicyUnits Never

Description Marina 2014-05-16 15:41:19 UTC
Description of problem:
Tool tips for weights on Cluster Policy module in Configuration Dialogue are incorrect.

Version-Release number of selected component (if applicable):
3.3, 3.4.


Steps to Reproduce:
1. Open Configuration Dialogue.
2. Go to Cluster Policies screen.
3. Select any policy available and click edit.
4. Hover mouse over the specified values in the Weights section:

Actual results: the tooltip is showing:
OptimalForEvenDistribution: Gives host with lower CPU usage higher weight (means that hosts with higher CPU are more likely to be selected)
OptimalForPowerSaving: Gives hosts with higher CPU usage, higher weight (means that hosts with lower CPU usage are more likely to be selected)

Expected results:
Should be just the opposite:
For even distribution, we want the host with the least CPU load to be the first chosen by the scheduler, and not have one host reach max load before the next host is chosen. Whereas, for PowerSaving – assuming the idea is to minimize the number of hosts in use – then we do want hosts to load up to near max CPU before using the next host.

Comment 2 Nikolai Sednev 2014-08-12 11:38:28 UTC
Tool tips for weights on Cluster Policy module in Configuration Dialogue changed as requested-pass.
Tested on these components:
ovirt-engine-setup-3.5.0-0.0.master.20140804172041.git23b558e.el6.noarch
Linux version 2.6.32-431.23.3.el6.x86_64 (mockbuild@x86-027.build.eng.bos.redhat.com) (gcc version 4.4.7 20120313 (Red Hat 4.4.7-4) (GCC) ) #1 SMP Wed Jul 16 06:12:23 EDT 2014

libvirt-0.10.2-29.el6_5.10.x86_64
sanlock-2.8-1.el6.x86_64
vdsm-4.16.1-6.gita4a4614.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.415.el6_5.14.x86_64
Linux version 2.6.32-431.23.3.el6.x86_64 (mockbuild@x86-027.build.eng.bos.redhat.com) (gcc version 4.4.7 20120313 (Red Hat 4.4.7-4) (GCC) ) #1 SMP Wed Jul 16 06:12:23 EDT 2014

Comment 4 errata-xmlrpc 2015-02-11 18:02:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.